Bug 147527 - count the number of lines which match:
count the number of lines which match:
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: grep (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-02-08 15:12 EST by Rajeev
Modified: 2007-11-30 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:20:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rajeev 2005-02-08 15:12:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; 
SV1; .NET CLR 1.1.4322)

Description of problem:
 I've aliased words to /usr/share/dict/linux.words.  I then do the 
following two statements and count the number of lines which match:

$ egrep "(.*[aeiou]){7}" words -c
$ egrep "([^aeiou]*[aeiou]){7}" words -c 0

Notice, there are 318 matches with the first and none with the second.

Second, I run the same pair on my BSD box and get:

$ egrep "(.*[aeiou]){7}" words -c
$ egrep "([^aeiou]*[aeiou]){7}" words -c
 Can you please tell me which one is the correct result.


Version-Release number of selected component (if applicable):
redhat 9

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Suzanne Hillman 2005-02-08 17:13:27 EST
This bug report mentions redhat 9, which is no longer supported, and rhel2.1DE
which was never supported.

That said, it appears to possibly be related to your LANG setting. If your LANG
is  set to en_US.utf8, try setting it to en_US and see if your problem is gone.
Comment 4 RHEL Product and Program Management 2007-10-19 15:20:53 EDT
This bug is filed against RHEL2.1, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products.  Since
this bug does not meet that criteria, it is now being closed.

For more information of the RHEL errata support policy, please visit:

If you feel this bug is indeed mission critical, please contact your
support representative.  You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.